<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>

	<script type="text/javascript">
		//document.querySelector(".ejemplo") no puedo acceder a elementos que todavian no esten cargados

		function carga(){
			var caja1=document.querySelectorAll(".ejemplo");
			var caja2=document.querySelector("#ejemploId");
			document.querySelectorAll("div")[0].innerHTML="Ejemplo de clase";
			document.querySelectorAll("div")[1].innerHTML="Hoy es jueves";
			caja1[0].style.backgroundColor="BLUE";
			caja1[0].style.color="white";
			//pasar a caja2 el texto de la primera caja (div)
			caja2.innerHTML+= "<br>" + caja1[0].innerHTML;
		}
	</script>
</head>
<body onload="carga()">
<div class="ejemplo"> </div>
<div id="ejemploId"> </div>
<div class="ejemplo" id="ejemplo1Id"> </div>
	
</body>
</html>